Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006402opensim[REGION] Physics Enginespublic2012-11-07 20:402014-07-29 13:41
ReporterTeravus 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows 7 64 BitOSWindows 7OS VersionLatest...
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006402: BulletSim - Visible Terrain and heightfield physics proxy mismatch
DescriptionLooks like the visible terrain and the terrain physics proxy are mismatched spacially. Seems like the peaks are most accentuated on the north and east side. It doesn't look like you fall very far into the terrain when you do. Might be a margin issue.. might need to smooth the terrain before sending it to bullet.
Steps To ReproduceUse any region that has lumps and curves.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Filesjpg file icon bulletsimTerrainMismatch_001.jpg [^] (33,766 bytes) 2012-11-07 20:40


? file icon terraintest.oar [^] (170,212 bytes) 2012-11-07 20:45

- Relationships

-  Notes
(0023033)
Teravus (administrator)
2012-11-07 20:46

uploaded a picture and a terrain test oar.
(0023282)
Robert Adams (administrator)
2012-12-17 16:43

Mesh terrain made visible terrain match the physical terrain much closerly.

- Issue History
Date Modified Username Field Change
2012-11-07 20:40 Teravus New Issue
2012-11-07 20:40 Teravus File Added: bulletsimTerrainMismatch_001.jpg
2012-11-07 20:45 Teravus File Added: terraintest.oar
2012-11-07 20:46 Teravus Note Added: 0023033
2012-11-10 11:36 Robert Adams Assigned To => Robert Adams
2012-11-10 11:36 Robert Adams Status new => assigned
2012-12-17 16:43 Robert Adams Note Added: 0023282
2012-12-17 16:43 Robert Adams Status assigned => resolved
2012-12-17 16:43 Robert Adams Fixed in Version => master (dev code)
2012-12-17 16:43 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker